Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Get comprehensive topic information

GET/topics/{topic_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
topic_idstringrequired
Query parameters
detailedboolean
default: false
Responses
200

Successful Response

Any of:
TopicDetailsWithKafka
idstringrequired
namestringrequired
entityTopicDetailsEntityrequired
Show properties
entity_typeTopicDetailsEntityTypeEnumrequired

Enum for topic entity types (producer types).

Allowed:sourcesdestinationstransformspipelinesmanual
entity_idstringrequired
namestringrequired
connectorSourceConnectorEnum | DestinationConnectorEnum | TransformsLibraryEnum | stringrequired
Show properties
Any of:
SourceConnectorEnum
string
DestinationConnectorEnum
string
TransformsLibraryEnum
string
string
string
topic_idsstring[]required
topic_db_idsstring[]required
display_namestringrequired
filtered_snapshot_languagestring | any
Show properties
Any of:
string
string
any
any
prefixstring | any
Show properties
Any of:
string
string
any
any
serializationTopicSerialization | any

Serialization format information for this topic (inherited from producer)

Show properties
Any of:
TopicSerialization
key_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
value_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
key_converterstring | any

Converter class for message keys

Show properties
Any of:
string
string
any
any
value_converterstring | any

Converter class for message values

Show properties
Any of:
string
string
any
any
schema_registry_enabledboolean

Whether Schema Registry is used for this topic's serialization

default: false
any
any
tagsstring[] | any

List of tag IDs assigned to this topic

Show properties
Any of:
string[]
Array of string
string
any
any
broker_onlyboolean

True when this row was surfaced from a broker listing rather than the MongoDB topics collection (only possible with include_internal=true). The FE renders a badge so the user can tell Mongo-tracked topics apart from broker-only ones.

default: false
kafkaTopicKafkaMetadatarequired

Live Kafka metadata for a topic.

Show properties
partitionsTopicKafkaPartitionsrequired

Kafka partition information for a topic.

Show properties
countintegerrequired
replication_factorintegerrequired
under_replicated_countintegerrequired
offline_countintegerrequired
detailsPartitionDetail[]required
Show properties
Array of PartitionDetail
partition_idintegerrequired
replicasinteger[]required
in_sync_replicasinteger[]required
is_under_replicatedbooleanrequired
is_offlinebooleanrequired
configsTopicKafkaConfigsrequired

Customer-relevant Kafka configuration properties.

Show properties
retention_msstring | any
Show properties
Any of:
string
string
any
any
retention_bytesstring | any
Show properties
Any of:
string
string
any
any
cleanup_policystring | any
Show properties
Any of:
string
string
any
any
delete_retention_msstring | any
Show properties
Any of:
string
string
any
any
max_message_bytesstring | any
Show properties
Any of:
string
string
any
any
compression_typestring | any
Show properties
Any of:
string
string
any
any
min_insync_replicasstring | any
Show properties
Any of:
string
string
any
any
segment_msstring | any
Show properties
Any of:
string
string
any
any
segment_bytesstring | any
Show properties
Any of:
string
string
any
any
unclean_leader_electionstring | any
Show properties
Any of:
string
string
any
any
message_timestamp_typestring | any
Show properties
Any of:
string
string
any
any
healthTopicKafkaHealthrequired

Topic health indicators.

Show properties
is_healthybooleanrequired
under_replicated_partitionsintegerrequired
offline_partitionsintegerrequired
total_replicasintegerrequired
in_sync_replicasintegerrequired
serializationTopicSerialization | any

Serialization format information for this topic

Show properties
Any of:
TopicSerialization
key_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
value_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
key_converterstring | any

Converter class for message keys

Show properties
Any of:
string
string
any
any
value_converterstring | any

Converter class for message values

Show properties
Any of:
string
string
any
any
schema_registry_enabledboolean

Whether Schema Registry is used for this topic's serialization

default: false
any
any
object
object
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "https://api.streamkap.com/topics/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "string",
  "name": "string",
  "entity": {
    "entity_type": "sources",
    "entity_id": "string",
    "name": "string",
    "connector": "alloydb",
    "topic_ids": [
      "string"
    ],
    "topic_db_ids": [
      "string"
    ],
    "display_name": "string",
    "filtered_snapshot_language": "string"
  },
  "prefix": "string",
  "serialization": {
    "key_format": "avro",
    "value_format": "avro",
    "key_converter": "string",
    "value_converter": "string",
    "schema_registry_enabled": false
  },
  "tags": [
    "string"
  ],
  "broker_only": false,
  "kafka": {
    "partitions": {
      "count": 0,
      "replication_factor": 0,
      "under_replicated_count": 0,
      "offline_count": 0,
      "details": [
        {
          "partition_id": 0,
          "replicas": [
            0
          ],
          "in_sync_replicas": [
            0
          ],
          "is_under_replicated": true,
          "is_offline": true
        }
      ]
    },
    "configs": {
      "retention_ms": "string",
      "retention_bytes": "string",
      "cleanup_policy": "string",
      "delete_retention_ms": "string",
      "max_message_bytes": "string",
      "compression_type": "string",
      "min_insync_replicas": "string",
      "segment_ms": "string",
      "segment_bytes": "string",
      "unclean_leader_election": "string",
      "message_timestamp_type": "string"
    },
    "health": {
      "is_healthy": true,
      "under_replicated_partitions": 0,
      "offline_partitions": 0,
      "total_replicas": 0,
      "in_sync_replicas": 0
    },
    "serialization": {
      "key_format": "avro",
      "value_format": "avro",
      "key_converter": "string",
      "value_converter": "string",
      "schema_registry_enabled": false
    }
  }
}